Name:           perl-LWP-UserAgent-DNS-Hosts
Version:        0.11
Release:        3%{?dist}
Summary:        Override LWP HTTP/HTTPS request's host like /etc/hosts

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/LWP-UserAgent-DNS-Hosts/
Source0:        http://www.cpan.org/authors/id/M/MA/MASAKI/LWP-UserAgent-DNS-Hosts-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(strict)
# runtime
BuildRequires:  perl(parent)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(LWP::Protocol)
BuildRequires:  perl(LWP::Protocol::http)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Scope::Guard)
# tests:
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::UseAllModules)
BuildRequires:  perl(Test::Fake::HTTPD) >= 0.08
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(File::Temp)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}


%description
LWP::UserAgent::DNS::Hosts is a module to override HTTP/HTTPS request peer
addresses that uses LWP::UserAgent.  This module concept was got from
LWP::Protocol::PSGI.


%prep
%setup -q -n LWP-UserAgent-DNS-Hosts-%{version}


%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}


%check
./Build test


%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Apr 04 2017 Carl George <carl.george@rackspace.com> - 0.11-3
- Remove deprecated Group tag
- Fix typo

* Fri Mar 17 2017 Carl George <carl.george@rackspace.com> - 0.11-2
- Rebuild

* Fri Mar 17 2017 Carl George <carl.george@rackspace.com> - 0.11-1
- Latest upstream
- Set minimum version of Test::Fake::HTTPD to 0.08

* Fri Mar 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-1
- 0.10 bump; Upstream switched to Module::Build::Tiny flow

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Aug 12 2016 Carl George <carl.george@rackspace.com> - 0.08-3
- Add more missing build requirements

* Mon Aug 08 2016 Carl George <carl.george@rackspace.com> - 0.08-2
- Add missing build requirements
- Remove bundled Module::Install libs

* Wed Aug 03 2016 Carl George <carl.george@rackspace.com> - 0.08-1
- Initial package
